function [ c ] = add8_142( a, b )
% Approximate function add8_142
%  Library = EvoApprox8b
%  Circuit = add8_142
%  Area   (180) = 880
%  Delay  (180) = 1.470
%  Power  (180) = 201.60
%  Area   (45) = 65
%  Delay  (45) = 0.540
%  Power  (45) = 20.18
%  Nodes = 11
%  HD = 154752
%  MAE = 2.62500
%  MSE = 10.50000
%  MRE = 1.42 %
%  WCE = 7
%  WCRE = 300 %
%  EP = 87.5 %
  a = uint16(a);
  b = uint16(b);
  c = 0;
  n2 = bitand(bitshift(a, -1), 1, 'uint16');
  n4 = bitand(bitshift(a, -2), 1, 'uint16');
  n6 = bitand(bitshift(a, -3), 1, 'uint16');
  n8 = bitand(bitshift(a, -4), 1, 'uint16');
  n10 = bitand(bitshift(a, -5), 1, 'uint16');
  n12 = bitand(bitshift(a, -6), 1, 'uint16');
  n14 = bitand(bitshift(a, -7), 1, 'uint16');
  n18 = bitand(bitshift(b, -1), 1, 'uint16');
  n22 = bitand(bitshift(b, -3), 1, 'uint16');
  n24 = bitand(bitshift(b, -4), 1, 'uint16');
  n26 = bitand(bitshift(b, -5), 1, 'uint16');
  n28 = bitand(bitshift(b, -6), 1, 'uint16');
  n30 = bitand(bitshift(b, -7), 1, 'uint16');
  n34 = bitcmp(bitxor(n2, n2));
  n35 = bitcmp(bitxor(n2, n2));
  n43 = bitcmp(bitor(n18, bitor(n34, n4)));
  n60 = bitcmp(bitxor(n18, n18));
  n82 = bitor(n35, n4);
  n100 = n60;
  n101 = n60;
  n132 = bitor(bitand(n30, n101), bitand(bitcmp(n30), n4));
  n182 = bitxor(bitxor(n6, n22), n43);
  n183 = bitor(bitor(bitand(n6, n22), bitand(n22, n43)), bitand(n6, n43));
  n232 = bitxor(bitxor(n8, n24), n183);
  n233 = bitor(bitor(bitand(n8, n24), bitand(n24, n183)), bitand(n8, n183));
  n282 = bitxor(bitxor(n10, n26), n233);
  n283 = bitor(bitor(bitand(n10, n26), bitand(n26, n233)), bitand(n10, n233));
  n332 = bitxor(bitxor(n12, n28), n283);
  n333 = bitor(bitor(bitand(n12, n28), bitand(n28, n283)), bitand(n12, n283));
  n382 = bitxor(bitxor(n14, n30), n333);
  n383 = bitor(bitor(bitand(n14, n30), bitand(n30, n333)), bitand(n14, n333));
  c = bitor(c, bitshift(bitand(n100, 1), 0));
  c = bitor(c, bitshift(bitand(n82, 1), 1));
  c = bitor(c, bitshift(bitand(n132, 1), 2));
  c = bitor(c, bitshift(bitand(n182, 1), 3));
  c = bitor(c, bitshift(bitand(n232, 1), 4));
  c = bitor(c, bitshift(bitand(n282, 1), 5));
  c = bitor(c, bitshift(bitand(n332, 1), 6));
  c = bitor(c, bitshift(bitand(n382, 1), 7));
  c = bitor(c, bitshift(bitand(n383, 1), 8));
end