function [ c ] = add8_169( a, b )
% Approximate function add8_169
%  Library = EvoApprox8b
%  Circuit = add8_169
%  Area   (180) = 1880
%  Delay  (180) = 1.480
%  Power  (180) = 677.50
%  Area   (45) = 126
%  Delay  (45) = 0.620
%  Power  (45) = 54.71
%  Nodes = 38
%  HD = 0
%  MAE = 0.00000
%  MSE = 0.00000
%  MRE = 0.00 %
%  WCE = 0
%  WCRE = 0 %
%  EP = 0.0 %
  a = uint16(a);
  b = uint16(b);
  c = 0;
  n0 = bitand(bitshift(a, -0), 1, 'uint16');
  n2 = bitand(bitshift(a, -1), 1, 'uint16');
  n4 = bitand(bitshift(a, -2), 1, 'uint16');
  n6 = bitand(bitshift(a, -3), 1, 'uint16');
  n8 = bitand(bitshift(a, -4), 1, 'uint16');
  n10 = bitand(bitshift(a, -5), 1, 'uint16');
  n12 = bitand(bitshift(a, -6), 1, 'uint16');
  n14 = bitand(bitshift(a, -7), 1, 'uint16');
  n16 = bitand(bitshift(b, -0), 1, 'uint16');
  n18 = bitand(bitshift(b, -1), 1, 'uint16');
  n20 = bitand(bitshift(b, -2), 1, 'uint16');
  n22 = bitand(bitshift(b, -3), 1, 'uint16');
  n24 = bitand(bitshift(b, -4), 1, 'uint16');
  n26 = bitand(bitshift(b, -5), 1, 'uint16');
  n28 = bitand(bitshift(b, -6), 1, 'uint16');
  n30 = bitand(bitshift(b, -7), 1, 'uint16');
  n32 = bitxor(n0, n16);
  n33 = bitand(n0, n16);
  n34 = n33;
  n40 = bitxor(bitxor(n2, n18), n34);
  n41 = bitor(bitor(bitand(n2, n18), bitand(n18, n34)), bitand(n2, n34));
  n47 = bitor(n24, n8);
  n50 = bitxor(n4, n20);
  n51 = bitand(n4, n20);
  n56 = n50;
  n57 = n50;
  n58 = bitxor(n6, n22);
  n59 = bitand(n6, n22);
  n68 = bitxor(n8, n24);
  n69 = bitand(n8, n24);
  n78 = bitxor(n10, n26);
  n79 = bitand(n10, n26);
  n86 = bitxor(n12, n28);
  n87 = bitand(n12, n28);
  n90 = n78;
  n91 = n78;
  n96 = bitxor(n14, n30);
  n97 = bitand(n14, n30);
  n107 = bitand(n56, n41);
  n124 = bitor(n51, n107);
  n135 = bitand(n47, n59);
  n142 = bitand(n68, n58);
  n152 = bitor(n69, n135);
  n162 = bitand(n86, n79);
  n170 = bitand(n86, n90);
  n180 = bitor(n87, n162);
  n198 = n124;
  n199 = n124;
  n208 = bitand(n142, n198);
  n227 = bitor(n152, n208);
  n272 = n227;
  n273 = n227;
  n274 = n170;
  n282 = bitand(n274, n273);
  n293 = bitor(n180, n282);
  n320 = bitand(n58, n199);
  n328 = bitor(n59, n320);
  n338 = bitand(n91, n272);
  n349 = bitor(n79, n338);
  n366 = bitxor(n57, n41);
  n376 = bitxor(n58, n199);
  n384 = bitxor(n68, n328);
  n394 = bitxor(n91, n272);
  n404 = bitxor(n86, n349);
  n412 = bitxor(n96, n293);
  n413 = bitand(n96, n293);
  n422 = bitor(n97, n413);
  c = bitor(c, bitshift(bitand(n32, 1), 0));
  c = bitor(c, bitshift(bitand(n40, 1), 1));
  c = bitor(c, bitshift(bitand(n366, 1), 2));
  c = bitor(c, bitshift(bitand(n376, 1), 3));
  c = bitor(c, bitshift(bitand(n384, 1), 4));
  c = bitor(c, bitshift(bitand(n394, 1), 5));
  c = bitor(c, bitshift(bitand(n404, 1), 6));
  c = bitor(c, bitshift(bitand(n412, 1), 7));
  c = bitor(c, bitshift(bitand(n422, 1), 8));
end