function [ c ] = add8_226( a, b )
% Approximate function add8_226
%  Library = EvoApprox8b
%  Circuit = add8_226
%  Area   (180) = 1400
%  Delay  (180) = 1.210
%  Power  (180) = 478.90
%  Area   (45) = 98
%  Delay  (45) = 0.500
%  Power  (45) = 38.67
%  Nodes = 31
%  HD = 106112
%  MAE = 0.87500
%  MSE = 1.50000
%  MRE = 0.47 %
%  WCE = 3
%  WCRE = 100 %
%  EP = 62.5 %
  a = uint16(a);
  b = uint16(b);
  c = 0;
  n2 = bitand(bitshift(a, -1), 1, 'uint16');
  n4 = bitand(bitshift(a, -2), 1, 'uint16');
  n6 = bitand(bitshift(a, -3), 1, 'uint16');
  n8 = bitand(bitshift(a, -4), 1, 'uint16');
  n10 = bitand(bitshift(a, -5), 1, 'uint16');
  n12 = bitand(bitshift(a, -6), 1, 'uint16');
  n14 = bitand(bitshift(a, -7), 1, 'uint16');
  n18 = bitand(bitshift(b, -1), 1, 'uint16');
  n20 = bitand(bitshift(b, -2), 1, 'uint16');
  n22 = bitand(bitshift(b, -3), 1, 'uint16');
  n24 = bitand(bitshift(b, -4), 1, 'uint16');
  n26 = bitand(bitshift(b, -5), 1, 'uint16');
  n28 = bitand(bitshift(b, -6), 1, 'uint16');
  n30 = bitand(bitshift(b, -7), 1, 'uint16');
  n33 = bitor(n12, n28);
  n46 = bitcmp(bitor(n18, n2));
  n50 = bitxor(n4, n20);
  n51 = bitand(n4, n20);
  n58 = bitxor(bitxor(n6, n22), n51);
  n59 = bitor(bitor(bitand(n6, n22), bitand(n22, n51)), bitand(n6, n51));
  n68 = bitxor(n8, n24);
  n69 = bitand(n8, n24);
  n77 = n68;
  n78 = bitxor(n10, n26);
  n79 = bitand(n10, n26);
  n84 = n59;
  n85 = n59;
  n86 = bitxor(n12, n28);
  n87 = bitand(n12, n28);
  n96 = bitxor(n14, n30);
  n97 = bitand(n14, n30);
  n110 = bitcmp(n46);
  n122 = n77;
  n127 = n69;
  n134 = bitand(n77, n84);
  n140 = bitcmp(bitand(n4, n18));
  n152 = bitor(n127, n134);
  n162 = bitand(n33, n79);
  n167 = bitor(n4, n140);
  n171 = bitand(n86, n78);
  n180 = bitor(n87, n162);
  n198 = n152;
  n199 = n152;
  n226 = bitand(n78, n199);
  n240 = bitcmp(n85);
  n244 = bitor(n79, n226);
  n254 = bitand(n171, n198);
  n272 = bitor(n180, n254);
  n391 = bitcmp(bitxor(n240, n122));
  n394 = bitxor(n78, n198);
  n404 = bitxor(n86, n244);
  n412 = bitxor(n96, n272);
  n413 = bitand(n96, n272);
  n423 = bitor(n97, n413);
  c = bitor(c, bitshift(bitand(n167, 1), 0));
  c = bitor(c, bitshift(bitand(n110, 1), 1));
  c = bitor(c, bitshift(bitand(n50, 1), 2));
  c = bitor(c, bitshift(bitand(n58, 1), 3));
  c = bitor(c, bitshift(bitand(n391, 1), 4));
  c = bitor(c, bitshift(bitand(n394, 1), 5));
  c = bitor(c, bitshift(bitand(n404, 1), 6));
  c = bitor(c, bitshift(bitand(n412, 1), 7));
  c = bitor(c, bitshift(bitand(n423, 1), 8));
end