function [ c ] = add8_239( a, b )
% Approximate function add8_239
%  Library = EvoApprox8b
%  Circuit = add8_239
%  Area   (180) = 740
%  Delay  (180) = 1.370
%  Power  (180) = 168.60
%  Area   (45) = 54
%  Delay  (45) = 0.520
%  Power  (45) = 16.70
%  Nodes = 12
%  HD = 182528
%  MAE = 3.53906
%  MSE = 24.26562
%  MRE = 1.77 %
%  WCE = 15
%  WCRE = 300 %
%  EP = 85.6 %
  a = uint16(a);
  b = uint16(b);
  c = 0;
  n4 = bitand(bitshift(a, -2), 1, 'uint16');
  n6 = bitand(bitshift(a, -3), 1, 'uint16');
  n8 = bitand(bitshift(a, -4), 1, 'uint16');
  n10 = bitand(bitshift(a, -5), 1, 'uint16');
  n12 = bitand(bitshift(a, -6), 1, 'uint16');
  n14 = bitand(bitshift(a, -7), 1, 'uint16');
  n20 = bitand(bitshift(b, -2), 1, 'uint16');
  n22 = bitand(bitshift(b, -3), 1, 'uint16');
  n24 = bitand(bitshift(b, -4), 1, 'uint16');
  n26 = bitand(bitshift(b, -5), 1, 'uint16');
  n28 = bitand(bitshift(b, -6), 1, 'uint16');
  n30 = bitand(bitshift(b, -7), 1, 'uint16');
  n33 = bitcmp(bitand(n20, bitand(n22, n6)));
  n39 = bitcmp(bitor(n33, bitor(n14, n30)));
  n53 = bitand(n4, n39);
  n55 = n53;
  n78 = n55;
  n126 = bitcmp(n78);
  n127 = bitcmp(n78);
  n132 = bitor(n4, n20);
  n182 = bitor(n6, n22);
  n232 = bitxor(bitxor(n8, n24), n78);
  n233 = bitor(bitor(bitand(n8, n24), bitand(n24, n78)), bitand(n8, n78));
  n282 = bitxor(bitxor(n10, n26), n233);
  n283 = bitor(bitor(bitand(n10, n26), bitand(n26, n233)), bitand(n10, n233));
  n332 = bitxor(bitxor(n12, n28), n283);
  n333 = bitor(bitor(bitand(n12, n28), bitand(n28, n283)), bitand(n12, n283));
  n382 = bitxor(bitxor(n14, n30), n333);
  n383 = bitor(bitor(bitand(n14, n30), bitand(n30, n333)), bitand(n14, n333));
  c = bitor(c, bitshift(bitand(n127, 1), 0));
  c = bitor(c, bitshift(bitand(n126, 1), 1));
  c = bitor(c, bitshift(bitand(n132, 1), 2));
  c = bitor(c, bitshift(bitand(n182, 1), 3));
  c = bitor(c, bitshift(bitand(n232, 1), 4));
  c = bitor(c, bitshift(bitand(n282, 1), 5));
  c = bitor(c, bitshift(bitand(n332, 1), 6));
  c = bitor(c, bitshift(bitand(n382, 1), 7));
  c = bitor(c, bitshift(bitand(n383, 1), 8));
end