function [ c ] = add8_272( a, b )
% Approximate function add8_272
%  Library = EvoApprox8b
%  Circuit = add8_272
%  Area   (180) = 1744
%  Delay  (180) = 1.120
%  Power  (180) = 576.90
%  Area   (45) = 115
%  Delay  (45) = 0.450
%  Power  (45) = 46.57
%  Nodes = 37
%  HD = 57216
%  MAE = 0.68750
%  MSE = 2.00000
%  MRE = 0.37 %
%  WCE = 4
%  WCRE = 50 %
%  EP = 34.4 %
  a = uint16(a);
  b = uint16(b);
  c = 0;
  n0 = bitand(bitshift(a, -0), 1, 'uint16');
  n2 = bitand(bitshift(a, -1), 1, 'uint16');
  n4 = bitand(bitshift(a, -2), 1, 'uint16');
  n6 = bitand(bitshift(a, -3), 1, 'uint16');
  n8 = bitand(bitshift(a, -4), 1, 'uint16');
  n10 = bitand(bitshift(a, -5), 1, 'uint16');
  n12 = bitand(bitshift(a, -6), 1, 'uint16');
  n14 = bitand(bitshift(a, -7), 1, 'uint16');
  n16 = bitand(bitshift(b, -0), 1, 'uint16');
  n18 = bitand(bitshift(b, -1), 1, 'uint16');
  n20 = bitand(bitshift(b, -2), 1, 'uint16');
  n22 = bitand(bitshift(b, -3), 1, 'uint16');
  n24 = bitand(bitshift(b, -4), 1, 'uint16');
  n26 = bitand(bitshift(b, -5), 1, 'uint16');
  n28 = bitand(bitshift(b, -6), 1, 'uint16');
  n30 = bitand(bitshift(b, -7), 1, 'uint16');
  n32 = bitor(n0, n16);
  n40 = bitxor(n2, n18);
  n41 = bitand(n2, n18);
  n50 = bitxor(n4, n20);
  n51 = bitand(n4, n20);
  n58 = bitxor(n6, n22);
  n59 = bitand(n6, n22);
  n68 = bitxor(n8, n24);
  n69 = bitand(n8, n24);
  n78 = bitxor(n10, n26);
  n86 = bitxor(n12, n28);
  n87 = bitand(n12, n28);
  n88 = bitor(n24, n8);
  n96 = bitxor(n14, n30);
  n97 = bitand(n14, n30);
  n107 = bitand(n50, n41);
  n111 = bitand(n10, n26);
  n120 = n107;
  n125 = bitor(n51, n120);
  n134 = bitand(n88, n59);
  n143 = bitand(n68, n58);
  n152 = bitor(n69, n134);
  n162 = bitand(n86, n111);
  n170 = bitand(n86, n78);
  n180 = bitor(n87, n162);
  n198 = n125;
  n199 = n125;
  n208 = bitand(n143, n125);
  n209 = bitand(n143, n125);
  n226 = bitor(n152, n209);
  n227 = bitor(n152, n209);
  n236 = bitand(n170, n152);
  n245 = bitand(n170, n208);
  n254 = bitor(n180, n236);
  n293 = bitor(n254, n245);
  n320 = bitand(n58, n199);
  n328 = bitor(n59, n320);
  n338 = bitand(n78, n227);
  n348 = bitor(n111, n338);
  n366 = bitor(n50, n41);
  n376 = bitxor(n58, n198);
  n384 = bitxor(n68, n328);
  n394 = bitxor(n78, n226);
  n404 = bitxor(n86, n348);
  n412 = bitxor(n96, n293);
  n413 = bitand(n96, n293);
  n422 = bitor(n97, n413);
  c = bitor(c, bitshift(bitand(n32, 1), 0));
  c = bitor(c, bitshift(bitand(n40, 1), 1));
  c = bitor(c, bitshift(bitand(n366, 1), 2));
  c = bitor(c, bitshift(bitand(n376, 1), 3));
  c = bitor(c, bitshift(bitand(n384, 1), 4));
  c = bitor(c, bitshift(bitand(n394, 1), 5));
  c = bitor(c, bitshift(bitand(n404, 1), 6));
  c = bitor(c, bitshift(bitand(n412, 1), 7));
  c = bitor(c, bitshift(bitand(n422, 1), 8));
end