function [ c ] = add8_419( a, b )
% Approximate function add8_419
%  Library = EvoApprox8b
%  Circuit = add8_419
%  Area   (180) = 1000
%  Delay  (180) = 0.700
%  Power  (180) = 286.60
%  Area   (45) = 68
%  Delay  (45) = 0.300
%  Power  (45) = 23.30
%  Nodes = 23
%  HD = 192640
%  MAE = 9.55078
%  MSE = 134.50000
%  MRE = 5.16 %
%  WCE = 25
%  WCRE = 100 %
%  EP = 97.7 %
  a = uint16(a);
  b = uint16(b);
  c = 0;
  n4 = bitand(bitshift(a, -2), 1, 'uint16');
  n6 = bitand(bitshift(a, -3), 1, 'uint16');
  n8 = bitand(bitshift(a, -4), 1, 'uint16');
  n10 = bitand(bitshift(a, -5), 1, 'uint16');
  n12 = bitand(bitshift(a, -6), 1, 'uint16');
  n14 = bitand(bitshift(a, -7), 1, 'uint16');
  n20 = bitand(bitshift(b, -2), 1, 'uint16');
  n22 = bitand(bitshift(b, -3), 1, 'uint16');
  n24 = bitand(bitshift(b, -4), 1, 'uint16');
  n26 = bitand(bitshift(b, -5), 1, 'uint16');
  n28 = bitand(bitshift(b, -6), 1, 'uint16');
  n30 = bitand(bitshift(b, -7), 1, 'uint16');
  n39 = bitor(n10, n26);
  n43 = bitor(n28, n12);
  n44 = bitor(n28, n12);
  n46 = bitand(n26, n10);
  n68 = bitand(n8, n24);
  n78 = bitxor(n10, n26);
  n79 = bitand(n10, n26);
  n86 = bitxor(n12, n28);
  n87 = bitand(n12, n28);
  n96 = bitxor(n14, n30);
  n97 = bitand(n14, n30);
  n135 = bitor(n26, n10);
  n143 = n87;
  n152 = n68;
  n153 = n68;
  n161 = n96;
  n162 = bitand(n43, n46);
  n170 = bitand(n44, n135);
  n180 = bitor(n143, n162);
  n226 = bitand(n39, n152);
  n245 = bitor(n79, n226);
  n254 = bitand(n170, n153);
  n273 = bitor(n180, n254);
  n394 = bitxor(n78, n152);
  n404 = bitxor(n86, n245);
  n412 = bitxor(n161, n273);
  n413 = bitand(n161, n273);
  n422 = bitor(n97, n413);
  c = bitor(c, bitshift(bitand(n4, 1), 0));
  c = bitor(c, bitshift(bitand(n39, 1), 1));
  c = bitor(c, bitshift(bitand(n20, 1), 2));
  c = bitor(c, bitshift(bitand(n22, 1), 3));
  c = bitor(c, bitshift(bitand(n6, 1), 4));
  c = bitor(c, bitshift(bitand(n394, 1), 5));
  c = bitor(c, bitshift(bitand(n404, 1), 6));
  c = bitor(c, bitshift(bitand(n412, 1), 7));
  c = bitor(c, bitshift(bitand(n422, 1), 8));
end