/// Approximate function add8_420
///  Library = EvoApprox8b
///  Circuit = add8_420
///  Area   (180) = 804
///  Delay  (180) = 1.460
///  Power  (180) = 224.80
///  Area   (45) = 61
///  Delay  (45) = 0.550
///  Power  (45) = 21.97
///  Nodes = 12
///  HD = 136416
///  MAE = 1.54688
///  MSE = 4.85938
///  MRE = 0.81 %
///  WCE = 7
///  WCRE = 100 %
///  EP = 70.7 %
uint16_t add8_420(uint8_t a, uint8_t b)
{
  uint16_t c = 0;
  uint8_t n2 = (a >> 1) & 0x1;
  uint8_t n4 = (a >> 2) & 0x1;
  uint8_t n6 = (a >> 3) & 0x1;
  uint8_t n8 = (a >> 4) & 0x1;
  uint8_t n10 = (a >> 5) & 0x1;
  uint8_t n12 = (a >> 6) & 0x1;
  uint8_t n14 = (a >> 7) & 0x1;
  uint8_t n18 = (b >> 1) & 0x1;
  uint8_t n20 = (b >> 2) & 0x1;
  uint8_t n22 = (b >> 3) & 0x1;
  uint8_t n24 = (b >> 4) & 0x1;
  uint8_t n26 = (b >> 5) & 0x1;
  uint8_t n28 = (b >> 6) & 0x1;
  uint8_t n30 = (b >> 7) & 0x1;
  uint8_t n32;
  uint8_t n39;
  uint8_t n67;
  uint8_t n82;
  uint8_t n84;
  uint8_t n127;
  uint8_t n132;
  uint8_t n182;
  uint8_t n183;
  uint8_t n232;
  uint8_t n233;
  uint8_t n282;
  uint8_t n283;
  uint8_t n332;
  uint8_t n333;
  uint8_t n382;
  uint8_t n383;

  n32 = ~(n20 & n18 & n2);
  n39 = ~((n14 & n28) | n32);
  n67 = n4 & n39;
  n82 = n2 | n18;
  n84 = n67;
  n127 = ~n84;
  n132 = n4 | n20;
  n182 = (n6 ^ n22) ^ n84;
  n183 = (n6 & n22) | (n22 & n84) | (n6 & n84);
  n232 = (n8 ^ n24) ^ n183;
  n233 = (n8 & n24) | (n24 & n183) | (n8 & n183);
  n282 = (n10 ^ n26) ^ n233;
  n283 = (n10 & n26) | (n26 & n233) | (n10 & n233);
  n332 = (n12 ^ n28) ^ n283;
  n333 = (n12 & n28) | (n28 & n283) | (n12 & n283);
  n382 = (n14 ^ n30) ^ n333;
  n383 = (n14 & n30) | (n30 & n333) | (n14 & n333);

  c |= (n127 & 0x1) << 0;
  c |= (n82 & 0x1) << 1;
  c |= (n132 & 0x1) << 2;
  c |= (n182 & 0x1) << 3;
  c |= (n232 & 0x1) << 4;
  c |= (n282 & 0x1) << 5;
  c |= (n332 & 0x1) << 6;
  c |= (n382 & 0x1) << 7;
  c |= (n383 & 0x1) << 8;

  return c;
}

