function [ c ] = add8_470( a, b )
% Approximate function add8_470
%  Library = EvoApprox8b
%  Circuit = add8_470
%  Area   (180) = 1064
%  Delay  (180) = 0.850
%  Power  (180) = 286.50
%  Area   (45) = 73
%  Delay  (45) = 0.350
%  Power  (45) = 23.38
%  Nodes = 23
%  HD = 192640
%  MAE = 8.90625
%  MSE = 114.50000
%  MRE = 4.78 %
%  WCE = 23
%  WCRE = 500 %
%  EP = 96.9 %
  a = uint16(a);
  b = uint16(b);
  c = 0;
  n2 = bitand(bitshift(a, -1), 1, 'uint16');
  n6 = bitand(bitshift(a, -3), 1, 'uint16');
  n8 = bitand(bitshift(a, -4), 1, 'uint16');
  n10 = bitand(bitshift(a, -5), 1, 'uint16');
  n12 = bitand(bitshift(a, -6), 1, 'uint16');
  n14 = bitand(bitshift(a, -7), 1, 'uint16');
  n22 = bitand(bitshift(b, -3), 1, 'uint16');
  n24 = bitand(bitshift(b, -4), 1, 'uint16');
  n26 = bitand(bitshift(b, -5), 1, 'uint16');
  n28 = bitand(bitshift(b, -6), 1, 'uint16');
  n30 = bitand(bitshift(b, -7), 1, 'uint16');
  n33 = bitcmp(bitxor(n6, n6));
  n43 = bitor(n28, n12);
  n44 = bitor(n28, n12);
  n46 = bitand(n26, n10);
  n68 = bitand(n8, n24);
  n78 = bitxor(n10, n26);
  n79 = bitand(n10, n26);
  n86 = bitxor(n12, n28);
  n87 = bitand(n12, n28);
  n96 = bitxor(n14, n30);
  n97 = bitand(n14, n30);
  n134 = bitxor(n26, n10);
  n137 = n134;
  n143 = n87;
  n146 = n33;
  n152 = n68;
  n162 = bitand(n43, n46);
  n181 = bitor(n143, n162);
  n226 = bitand(n137, n152);
  n245 = bitor(n79, n226);
  n254 = bitand(n44, n226);
  n272 = bitor(n181, n254);
  n394 = bitxor(n78, n152);
  n404 = bitxor(n86, n245);
  n412 = bitxor(n96, n272);
  n413 = bitand(n96, n272);
  n422 = bitor(n97, n413);
  c = bitor(c, bitshift(bitand(n33, 1), 0));
  c = bitor(c, bitshift(bitand(n2, 1), 1));
  c = bitor(c, bitshift(bitand(n146, 1), 2));
  c = bitor(c, bitshift(bitand(n22, 1), 3));
  c = bitor(c, bitshift(bitand(n6, 1), 4));
  c = bitor(c, bitshift(bitand(n394, 1), 5));
  c = bitor(c, bitshift(bitand(n404, 1), 6));
  c = bitor(c, bitshift(bitand(n412, 1), 7));
  c = bitor(c, bitshift(bitand(n422, 1), 8));
end