function [ c ] = add8_016( a, b )
% Approximate function add8_016
%  Library = EvoApprox8b
%  Circuit = add8_016
%  Area   (180) = 528
%  Delay  (180) = 0.830
%  Power  (180) = 141.90
%  Area   (45) = 39
%  Delay  (45) = 0.310
%  Power  (45) = 13.83
%  Nodes = 7
%  HD = 190592
%  MAE = 5.31250
%  MSE = 42.50000
%  MRE = 2.83 %
%  WCE = 15
%  WCRE = 700 %
%  EP = 93.8 %
  a = uint16(a);
  b = uint16(b);
  c = 0;
  n4 = bitand(bitshift(a, -2), 1, 'uint16');
  n6 = bitand(bitshift(a, -3), 1, 'uint16');
  n8 = bitand(bitshift(a, -4), 1, 'uint16');
  n10 = bitand(bitshift(a, -5), 1, 'uint16');
  n12 = bitand(bitshift(a, -6), 1, 'uint16');
  n14 = bitand(bitshift(a, -7), 1, 'uint16');
  n24 = bitand(bitshift(b, -4), 1, 'uint16');
  n26 = bitand(bitshift(b, -5), 1, 'uint16');
  n28 = bitand(bitshift(b, -6), 1, 'uint16');
  n30 = bitand(bitshift(b, -7), 1, 'uint16');
  n36 = bitcmp(bitxor(n4, n4));
  n93 = bitcmp(n36);
  n126 = bitcmp(n93);
  n127 = bitcmp(n93);
  n232 = bitxor(n8, n24);
  n233 = bitand(n8, n24);
  n282 = bitxor(bitxor(n10, n26), n233);
  n283 = bitor(bitor(bitand(n10, n26), bitand(n26, n233)), bitand(n10, n233));
  n332 = bitxor(bitxor(n12, n28), n283);
  n333 = bitor(bitor(bitand(n12, n28), bitand(n28, n283)), bitand(n12, n283));
  n382 = bitxor(bitxor(n14, n30), n333);
  n383 = bitor(bitor(bitand(n14, n30), bitand(n30, n333)), bitand(n14, n333));
  c = bitor(c, bitshift(bitand(n127, 1), 0));
  c = bitor(c, bitshift(bitand(n126, 1), 1));
  c = bitor(c, bitshift(bitand(n126, 1), 2));
  c = bitor(c, bitshift(bitand(n6, 1), 3));
  c = bitor(c, bitshift(bitand(n232, 1), 4));
  c = bitor(c, bitshift(bitand(n282, 1), 5));
  c = bitor(c, bitshift(bitand(n332, 1), 6));
  c = bitor(c, bitshift(bitand(n382, 1), 7));
  c = bitor(c, bitshift(bitand(n383, 1), 8));
end