function [ c ] = add8_054( a, b )
% Approximate function add8_054
%  Library = EvoApprox8b
%  Circuit = add8_054
%  Area   (180) = 580
%  Delay  (180) = 0.870
%  Power  (180) = 162.90
%  Area   (45) = 43
%  Delay  (45) = 0.330
%  Power  (45) = 15.36
%  Nodes = 9
%  HD = 188544
%  MAE = 4.20312
%  MSE = 31.00000
%  MRE = 2.19 %
%  WCE = 15
%  WCRE = 400 %
%  EP = 90.6 %
  a = uint16(a);
  b = uint16(b);
  c = 0;
  n0 = bitand(bitshift(a, -0), 1, 'uint16');
  n2 = bitand(bitshift(a, -1), 1, 'uint16');
  n6 = bitand(bitshift(a, -3), 1, 'uint16');
  n8 = bitand(bitshift(a, -4), 1, 'uint16');
  n10 = bitand(bitshift(a, -5), 1, 'uint16');
  n12 = bitand(bitshift(a, -6), 1, 'uint16');
  n14 = bitand(bitshift(a, -7), 1, 'uint16');
  n16 = bitand(bitshift(b, -0), 1, 'uint16');
  n20 = bitand(bitshift(b, -2), 1, 'uint16');
  n22 = bitand(bitshift(b, -3), 1, 'uint16');
  n24 = bitand(bitshift(b, -4), 1, 'uint16');
  n26 = bitand(bitshift(b, -5), 1, 'uint16');
  n28 = bitand(bitshift(b, -6), 1, 'uint16');
  n30 = bitand(bitshift(b, -7), 1, 'uint16');
  n41 = n20;
  n121 = bitcmp(bitor(n16, n0));
  n133 = bitcmp(bitand(n14, bitand(n121, n0)));
  n182 = bitor(n6, n22);
  n232 = bitxor(n8, n24);
  n233 = bitand(n8, n24);
  n252 = n233;
  n282 = bitxor(bitxor(n10, n26), n252);
  n283 = bitor(bitor(bitand(n10, n26), bitand(n26, n252)), bitand(n10, n252));
  n332 = bitxor(bitxor(n12, n28), n283);
  n333 = bitor(bitor(bitand(n12, n28), bitand(n28, n283)), bitand(n12, n283));
  n382 = bitxor(bitxor(n14, n30), n333);
  n383 = bitor(bitor(bitand(n14, n30), bitand(n30, n333)), bitand(n14, n333));
  c = bitor(c, bitshift(bitand(n2, 1), 0));
  c = bitor(c, bitshift(bitand(n41, 1), 1));
  c = bitor(c, bitshift(bitand(n133, 1), 2));
  c = bitor(c, bitshift(bitand(n182, 1), 3));
  c = bitor(c, bitshift(bitand(n232, 1), 4));
  c = bitor(c, bitshift(bitand(n282, 1), 5));
  c = bitor(c, bitshift(bitand(n332, 1), 6));
  c = bitor(c, bitshift(bitand(n382, 1), 7));
  c = bitor(c, bitshift(bitand(n383, 1), 8));
end