function [ c ] = add8_071( a, b )
% Approximate function add8_071
%  Library = EvoApprox8b
%  Circuit = add8_071
%  Area   (180) = 1160
%  Delay  (180) = 0.880
%  Power  (180) = 314.10
%  Area   (45) = 79
%  Delay  (45) = 0.370
%  Power  (45) = 25.29
%  Nodes = 27
%  HD = 188032
%  MAE = 6.48438
%  MSE = 62.00000
%  MRE = 3.42 %
%  WCE = 19
%  WCRE = 100 %
%  EP = 95.4 %
  a = uint16(a);
  b = uint16(b);
  c = 0;
  n2 = bitand(bitshift(a, -1), 1, 'uint16');
  n6 = bitand(bitshift(a, -3), 1, 'uint16');
  n8 = bitand(bitshift(a, -4), 1, 'uint16');
  n10 = bitand(bitshift(a, -5), 1, 'uint16');
  n12 = bitand(bitshift(a, -6), 1, 'uint16');
  n14 = bitand(bitshift(a, -7), 1, 'uint16');
  n22 = bitand(bitshift(b, -3), 1, 'uint16');
  n24 = bitand(bitshift(b, -4), 1, 'uint16');
  n26 = bitand(bitshift(b, -5), 1, 'uint16');
  n28 = bitand(bitshift(b, -6), 1, 'uint16');
  n30 = bitand(bitshift(b, -7), 1, 'uint16');
  n43 = bitor(n28, n12);
  n46 = bitand(n26, n10);
  n49 = bitcmp(bitor(n24, bitor(n8, n6)));
  n68 = bitand(n8, n24);
  n70 = n68;
  n72 = bitxor(n24, n8);
  n73 = bitand(n24, n8);
  n78 = bitxor(n10, n26);
  n79 = bitand(n10, n26);
  n86 = bitxor(n12, n28);
  n87 = bitand(n12, n28);
  n96 = bitxor(n14, n30);
  n97 = bitand(n14, n30);
  n128 = n43;
  n135 = bitor(n26, n10);
  n136 = n135;
  n142 = n87;
  n152 = n70;
  n162 = bitand(n43, n46);
  n177 = bitcmp(n49);
  n181 = bitor(n142, n162);
  n206 = n136;
  n209 = n181;
  n226 = bitand(n206, n152);
  n245 = bitor(n79, n226);
  n254 = bitand(n128, n226);
  n272 = bitor(n209, n254);
  n394 = bitxor(n78, n73);
  n404 = bitxor(n86, n245);
  n412 = bitxor(n96, n272);
  n413 = bitand(n96, n272);
  n422 = bitor(n97, n413);
  c = bitor(c, bitshift(bitand(n12, 1), 0));
  c = bitor(c, bitshift(bitand(n72, 1), 1));
  c = bitor(c, bitshift(bitand(n2, 1), 2));
  c = bitor(c, bitshift(bitand(n22, 1), 3));
  c = bitor(c, bitshift(bitand(n177, 1), 4));
  c = bitor(c, bitshift(bitand(n394, 1), 5));
  c = bitor(c, bitshift(bitand(n404, 1), 6));
  c = bitor(c, bitshift(bitand(n412, 1), 7));
  c = bitor(c, bitshift(bitand(n422, 1), 8));
end