function [ c ] = add8_083( a, b )
% Approximate function add8_083
%  Library = EvoApprox8b
%  Circuit = add8_083
%  Area   (180) = 928
%  Delay  (180) = 0.780
%  Power  (180) = 269.10
%  Area   (45) = 61
%  Delay  (45) = 0.330
%  Power  (45) = 21.91
%  Nodes = 19
%  HD = 190592
%  MAE = 7.73438
%  MSE = 83.00000
%  MRE = 4.08 %
%  WCE = 19
%  WCRE = 100 %
%  EP = 96.5 %
  a = uint16(a);
  b = uint16(b);
  c = 0;
  n0 = bitand(bitshift(a, -0), 1, 'uint16');
  n8 = bitand(bitshift(a, -4), 1, 'uint16');
  n10 = bitand(bitshift(a, -5), 1, 'uint16');
  n12 = bitand(bitshift(a, -6), 1, 'uint16');
  n14 = bitand(bitshift(a, -7), 1, 'uint16');
  n18 = bitand(bitshift(b, -1), 1, 'uint16');
  n22 = bitand(bitshift(b, -3), 1, 'uint16');
  n24 = bitand(bitshift(b, -4), 1, 'uint16');
  n26 = bitand(bitshift(b, -5), 1, 'uint16');
  n28 = bitand(bitshift(b, -6), 1, 'uint16');
  n30 = bitand(bitshift(b, -7), 1, 'uint16');
  n44 = bitor(n28, n12);
  n64 = n44;
  n68 = bitxor(n8, n24);
  n69 = bitand(n8, n24);
  n71 = n69;
  n78 = bitxor(n10, n26);
  n79 = bitand(n10, n26);
  n86 = bitxor(n12, n28);
  n87 = bitand(n12, n28);
  n96 = bitxor(n14, n30);
  n97 = bitand(n14, n30);
  n131 = bitand(n10, n26);
  n135 = bitor(n26, n10);
  n162 = bitand(n64, n131);
  n181 = bitor(n87, n162);
  n226 = bitand(n135, n71);
  n227 = bitand(n135, n71);
  n245 = bitor(n79, n227);
  n255 = bitand(n64, n226);
  n273 = bitor(n181, n255);
  n394 = bitxor(n78, n71);
  n404 = bitxor(n86, n245);
  n412 = bitxor(n96, n273);
  n413 = bitand(n96, n273);
  n422 = bitor(n97, n413);
  c = bitor(c, bitshift(bitand(n22, 1), 0));
  c = bitor(c, bitshift(bitand(n0, 1), 1));
  c = bitor(c, bitshift(bitand(n18, 1), 2));
  c = bitor(c, bitshift(bitand(n22, 1), 3));
  c = bitor(c, bitshift(bitand(n68, 1), 4));
  c = bitor(c, bitshift(bitand(n394, 1), 5));
  c = bitor(c, bitshift(bitand(n404, 1), 6));
  c = bitor(c, bitshift(bitand(n412, 1), 7));
  c = bitor(c, bitshift(bitand(n422, 1), 8));
end