/// Approximate function add8_203
///  Library = EvoApprox8b
///  Circuit = add8_203
///  Area   (180) = 828
///  Delay  (180) = 1.450
///  Power  (180) = 172.10
///  Area   (45) = 59
///  Delay  (45) = 0.540
///  Power  (45) = 17.11
///  Nodes = 13
///  HD = 183680
///  MAE = 3.62500
///  MSE = 25.25000
///  MRE = 1.87 %
///  WCE = 15
///  WCRE = 300 %
///  EP = 85.9 %
uint16_t add8_203(uint8_t a, uint8_t b)
{
  uint16_t c = 0;
  uint8_t n2 = (a >> 1) & 0x1;
  uint8_t n4 = (a >> 2) & 0x1;
  uint8_t n6 = (a >> 3) & 0x1;
  uint8_t n8 = (a >> 4) & 0x1;
  uint8_t n10 = (a >> 5) & 0x1;
  uint8_t n12 = (a >> 6) & 0x1;
  uint8_t n14 = (a >> 7) & 0x1;
  uint8_t n20 = (b >> 2) & 0x1;
  uint8_t n22 = (b >> 3) & 0x1;
  uint8_t n24 = (b >> 4) & 0x1;
  uint8_t n26 = (b >> 5) & 0x1;
  uint8_t n28 = (b >> 6) & 0x1;
  uint8_t n30 = (b >> 7) & 0x1;
  uint8_t n33;
  uint8_t n39;
  uint8_t n40;
  uint8_t n52;
  uint8_t n78;
  uint8_t n126;
  uint8_t n127;
  uint8_t n132;
  uint8_t n183;
  uint8_t n213;
  uint8_t n232;
  uint8_t n233;
  uint8_t n282;
  uint8_t n283;
  uint8_t n332;
  uint8_t n333;
  uint8_t n382;
  uint8_t n383;

  n33 = ~(n2 & n20 & n6);
  n39 = ~(n33 | n10 | n26);
  n40 = n20 ^ n20;
  n52 = n22 & n39;
  n78 = n52 & n4;
  n126 = ~n40;
  n127 = ~n40;
  n132 = n4 | n20;
  n183 = n6 | n22;
  n213 = n78;
  n232 = (n8 ^ n24) ^ n213;
  n233 = (n8 & n24) | (n24 & n213) | (n8 & n213);
  n282 = (n10 ^ n26) ^ n233;
  n283 = (n10 & n26) | (n26 & n233) | (n10 & n233);
  n332 = (n12 ^ n28) ^ n283;
  n333 = (n12 & n28) | (n28 & n283) | (n12 & n283);
  n382 = (n14 ^ n30) ^ n333;
  n383 = (n14 & n30) | (n30 & n333) | (n14 & n333);

  c |= (n127 & 0x1) << 0;
  c |= (n126 & 0x1) << 1;
  c |= (n132 & 0x1) << 2;
  c |= (n183 & 0x1) << 3;
  c |= (n232 & 0x1) << 4;
  c |= (n282 & 0x1) << 5;
  c |= (n332 & 0x1) << 6;
  c |= (n382 & 0x1) << 7;
  c |= (n383 & 0x1) << 8;

  return c;
}

