function [ c ] = add8_260( a, b )
% Approximate function add8_260
%  Library = EvoApprox8b
%  Circuit = add8_260
%  Area   (180) = 1160
%  Delay  (180) = 0.840
%  Power  (180) = 337.30
%  Area   (45) = 79
%  Delay  (45) = 0.350
%  Power  (45) = 26.92
%  Nodes = 27
%  HD = 188032
%  MAE = 4.81250
%  MSE = 37.00000
%  MRE = 2.54 %
%  WCE = 16
%  WCRE = 600 %
%  EP = 92.8 %
  a = uint16(a);
  b = uint16(b);
  c = 0;
  n6 = bitand(bitshift(a, -3), 1, 'uint16');
  n8 = bitand(bitshift(a, -4), 1, 'uint16');
  n10 = bitand(bitshift(a, -5), 1, 'uint16');
  n12 = bitand(bitshift(a, -6), 1, 'uint16');
  n14 = bitand(bitshift(a, -7), 1, 'uint16');
  n22 = bitand(bitshift(b, -3), 1, 'uint16');
  n24 = bitand(bitshift(b, -4), 1, 'uint16');
  n26 = bitand(bitshift(b, -5), 1, 'uint16');
  n28 = bitand(bitshift(b, -6), 1, 'uint16');
  n30 = bitand(bitshift(b, -7), 1, 'uint16');
  n42 = bitor(n28, n12);
  n43 = bitor(n28, n12);
  n48 = bitcmp(bitor(n24, bitor(n8, n6)));
  n49 = bitcmp(bitor(n24, bitor(n8, n6)));
  n69 = bitand(n8, n24);
  n72 = bitxor(n24, n8);
  n73 = bitand(n24, n8);
  n78 = bitxor(n10, n26);
  n79 = bitand(n10, n26);
  n81 = n79;
  n86 = bitxor(n12, n28);
  n87 = bitand(n12, n28);
  n96 = bitxor(n14, n30);
  n97 = bitand(n14, n30);
  n135 = bitor(n26, n10);
  n137 = n135;
  n143 = n87;
  n162 = bitand(n42, n81);
  n165 = n96;
  n171 = n43;
  n177 = bitcmp(n49);
  n180 = bitor(n143, n162);
  n226 = bitand(n137, n69);
  n245 = bitor(n81, n226);
  n254 = bitand(n171, n226);
  n272 = bitor(n180, n254);
  n344 = bitor(n48, n72);
  n345 = bitor(n48, n72);
  n348 = n272;
  n377 = n165;
  n394 = bitxor(n78, n73);
  n404 = bitxor(n86, n245);
  n412 = bitxor(n377, n348);
  n413 = bitand(n377, n348);
  n422 = bitor(n97, n413);
  c = bitor(c, bitshift(bitand(n72, 1), 0));
  c = bitor(c, bitshift(bitand(n345, 1), 1));
  c = bitor(c, bitshift(bitand(n344, 1), 2));
  c = bitor(c, bitshift(bitand(n22, 1), 3));
  c = bitor(c, bitshift(bitand(n177, 1), 4));
  c = bitor(c, bitshift(bitand(n394, 1), 5));
  c = bitor(c, bitshift(bitand(n404, 1), 6));
  c = bitor(c, bitshift(bitand(n412, 1), 7));
  c = bitor(c, bitshift(bitand(n422, 1), 8));
end