function [ c ] = add8_271( a, b )
% Approximate function add8_271
%  Library = EvoApprox8b
%  Circuit = add8_271
%  Area   (180) = 920
%  Delay  (180) = 0.800
%  Power  (180) = 259.40
%  Area   (45) = 61
%  Delay  (45) = 0.340
%  Power  (45) = 21.05
%  Nodes = 21
%  HD = 192640
%  MAE = 8.27344
%  MSE = 100.00000
%  MRE = 4.48 %
%  WCE = 25
%  WCRE = 800 %
%  EP = 96.6 %
  a = uint16(a);
  b = uint16(b);
  c = 0;
  n4 = bitand(bitshift(a, -2), 1, 'uint16');
  n6 = bitand(bitshift(a, -3), 1, 'uint16');
  n8 = bitand(bitshift(a, -4), 1, 'uint16');
  n10 = bitand(bitshift(a, -5), 1, 'uint16');
  n12 = bitand(bitshift(a, -6), 1, 'uint16');
  n14 = bitand(bitshift(a, -7), 1, 'uint16');
  n22 = bitand(bitshift(b, -3), 1, 'uint16');
  n24 = bitand(bitshift(b, -4), 1, 'uint16');
  n26 = bitand(bitshift(b, -5), 1, 'uint16');
  n28 = bitand(bitshift(b, -6), 1, 'uint16');
  n30 = bitand(bitshift(b, -7), 1, 'uint16');
  n43 = bitor(n28, n12);
  n44 = bitor(n28, n12);
  n46 = bitand(n26, n10);
  n69 = bitand(n8, n24);
  n78 = bitxor(n10, n26);
  n79 = bitand(n10, n26);
  n86 = bitxor(n12, n28);
  n87 = bitand(n12, n28);
  n96 = bitxor(n14, n30);
  n97 = bitand(n14, n30);
  n135 = bitor(n26, n10);
  n145 = bitcmp(n69);
  n146 = bitcmp(n145);
  n152 = n146;
  n162 = bitand(n43, n46);
  n180 = bitor(n87, n162);
  n226 = bitand(n135, n152);
  n244 = bitor(n79, n226);
  n254 = bitand(n44, n226);
  n273 = bitor(n180, n254);
  n394 = bitxor(n78, n152);
  n404 = bitxor(n86, n244);
  n412 = bitxor(n96, n273);
  n413 = bitand(n96, n273);
  n422 = bitor(n97, n413);
  c = bitor(c, bitshift(bitand(n4, 1), 0));
  c = bitor(c, bitshift(bitand(n24, 1), 1));
  c = bitor(c, bitshift(bitand(n22, 1), 2));
  c = bitor(c, bitshift(bitand(n145, 1), 3));
  c = bitor(c, bitshift(bitand(n6, 1), 4));
  c = bitor(c, bitshift(bitand(n394, 1), 5));
  c = bitor(c, bitshift(bitand(n404, 1), 6));
  c = bitor(c, bitshift(bitand(n412, 1), 7));
  c = bitor(c, bitshift(bitand(n422, 1), 8));
end