function [ c ] = add8_290( a, b )
% Approximate function add8_290
%  Library = EvoApprox8b
%  Circuit = add8_290
%  Area   (180) = 824
%  Delay  (180) = 1.510
%  Power  (180) = 242.70
%  Area   (45) = 62
%  Delay  (45) = 0.590
%  Power  (45) = 23.22
%  Nodes = 13
%  HD = 142592
%  MAE = 1.79688
%  MSE = 6.75000
%  MRE = 0.89 %
%  WCE = 9
%  WCRE = 200 %
%  EP = 78.9 %
  a = uint16(a);
  b = uint16(b);
  c = 0;
  n2 = bitand(bitshift(a, -1), 1, 'uint16');
  n4 = bitand(bitshift(a, -2), 1, 'uint16');
  n6 = bitand(bitshift(a, -3), 1, 'uint16');
  n8 = bitand(bitshift(a, -4), 1, 'uint16');
  n10 = bitand(bitshift(a, -5), 1, 'uint16');
  n12 = bitand(bitshift(a, -6), 1, 'uint16');
  n14 = bitand(bitshift(a, -7), 1, 'uint16');
  n18 = bitand(bitshift(b, -1), 1, 'uint16');
  n20 = bitand(bitshift(b, -2), 1, 'uint16');
  n22 = bitand(bitshift(b, -3), 1, 'uint16');
  n24 = bitand(bitshift(b, -4), 1, 'uint16');
  n26 = bitand(bitshift(b, -5), 1, 'uint16');
  n28 = bitand(bitshift(b, -6), 1, 'uint16');
  n30 = bitand(bitshift(b, -7), 1, 'uint16');
  n34 = bitcmp(bitand(n18, bitand(n20, n4)));
  n41 = bitcmp(bitand(n20, bitand(n18, n4)));
  n44 = bitor(n41, n30);
  n46 = bitcmp(n44);
  n117 = n46;
  n133 = bitor(n4, n20);
  n182 = bitxor(bitxor(n6, n22), n117);
  n183 = bitor(bitor(bitand(n6, n22), bitand(n22, n117)), bitand(n6, n117));
  n221 = n183;
  n232 = bitxor(bitxor(n8, n24), n221);
  n233 = bitor(bitor(bitand(n8, n24), bitand(n24, n221)), bitand(n8, n221));
  n252 = n233;
  n282 = bitxor(bitxor(n10, n26), n252);
  n283 = bitor(bitor(bitand(n10, n26), bitand(n26, n252)), bitand(n10, n252));
  n332 = bitxor(bitxor(n12, n28), n283);
  n333 = bitor(bitor(bitand(n12, n28), bitand(n28, n283)), bitand(n12, n283));
  n382 = bitxor(bitxor(n14, n30), n333);
  n383 = bitor(bitor(bitand(n14, n30), bitand(n30, n333)), bitand(n14, n333));
  c = bitor(c, bitshift(bitand(n2, 1), 0));
  c = bitor(c, bitshift(bitand(n34, 1), 1));
  c = bitor(c, bitshift(bitand(n133, 1), 2));
  c = bitor(c, bitshift(bitand(n182, 1), 3));
  c = bitor(c, bitshift(bitand(n232, 1), 4));
  c = bitor(c, bitshift(bitand(n282, 1), 5));
  c = bitor(c, bitshift(bitand(n332, 1), 6));
  c = bitor(c, bitshift(bitand(n382, 1), 7));
  c = bitor(c, bitshift(bitand(n383, 1), 8));
end