/// Approximate function add8_298
///  Library = EvoApprox8b
///  Circuit = add8_298
///  Area   (180) = 828
///  Delay  (180) = 1.410
///  Power  (180) = 225.50
///  Area   (45) = 62
///  Delay  (45) = 0.550
///  Power  (45) = 22.08
///  Nodes = 12
///  HD = 134400
///  MAE = 1.53125
///  MSE = 4.50000
///  MRE = 0.82 %
///  WCE = 5
///  WCRE = 100 %
///  EP = 71.9 %
uint16_t add8_298(uint8_t a, uint8_t b)
{
  uint16_t c = 0;
  uint8_t n2 = (a >> 1) & 0x1;
  uint8_t n4 = (a >> 2) & 0x1;
  uint8_t n6 = (a >> 3) & 0x1;
  uint8_t n8 = (a >> 4) & 0x1;
  uint8_t n10 = (a >> 5) & 0x1;
  uint8_t n12 = (a >> 6) & 0x1;
  uint8_t n14 = (a >> 7) & 0x1;
  uint8_t n18 = (b >> 1) & 0x1;
  uint8_t n20 = (b >> 2) & 0x1;
  uint8_t n22 = (b >> 3) & 0x1;
  uint8_t n24 = (b >> 4) & 0x1;
  uint8_t n26 = (b >> 5) & 0x1;
  uint8_t n28 = (b >> 6) & 0x1;
  uint8_t n30 = (b >> 7) & 0x1;
  uint8_t n32;
  uint8_t n36;
  uint8_t n48;
  uint8_t n66;
  uint8_t n82;
  uint8_t n132;
  uint8_t n155;
  uint8_t n182;
  uint8_t n183;
  uint8_t n232;
  uint8_t n233;
  uint8_t n282;
  uint8_t n283;
  uint8_t n332;
  uint8_t n333;
  uint8_t n382;
  uint8_t n383;

  n32 = ~(n20 & n18 & n2);
  n36 = ~n32;
  n48 = ~(n4 ^ n4);
  n66 = n4 & n36;
  n82 = n2 | n18;
  n132 = n4 | n20;
  n155 = n66;
  n182 = (n6 ^ n22) ^ n155;
  n183 = (n6 & n22) | (n22 & n155) | (n6 & n155);
  n232 = (n8 ^ n24) ^ n183;
  n233 = (n8 & n24) | (n24 & n183) | (n8 & n183);
  n282 = (n10 ^ n26) ^ n233;
  n283 = (n10 & n26) | (n26 & n233) | (n10 & n233);
  n332 = (n12 ^ n28) ^ n283;
  n333 = (n12 & n28) | (n28 & n283) | (n12 & n283);
  n382 = (n14 ^ n30) ^ n333;
  n383 = (n14 & n30) | (n30 & n333) | (n14 & n333);

  c |= (n48 & 0x1) << 0;
  c |= (n82 & 0x1) << 1;
  c |= (n132 & 0x1) << 2;
  c |= (n182 & 0x1) << 3;
  c |= (n232 & 0x1) << 4;
  c |= (n282 & 0x1) << 5;
  c |= (n332 & 0x1) << 6;
  c |= (n382 & 0x1) << 7;
  c |= (n383 & 0x1) << 8;

  return c;
}

