function [ c ] = add8_316( a, b )
% Approximate function add8_316
%  Library = EvoApprox8b
%  Circuit = add8_316
%  Area   (180) = 976
%  Delay  (180) = 1.630
%  Power  (180) = 343.20
%  Area   (45) = 72
%  Delay  (45) = 0.650
%  Power  (45) = 32.06
%  Nodes = 12
%  HD = 32640
%  MAE = 0.50000
%  MSE = 1.00000
%  MRE = 0.27 %
%  WCE = 2
%  WCRE = 100 %
%  EP = 25.0 %
  a = uint16(a);
  b = uint16(b);
  c = 0;
  n0 = bitand(bitshift(a, -0), 1, 'uint16');
  n2 = bitand(bitshift(a, -1), 1, 'uint16');
  n4 = bitand(bitshift(a, -2), 1, 'uint16');
  n6 = bitand(bitshift(a, -3), 1, 'uint16');
  n8 = bitand(bitshift(a, -4), 1, 'uint16');
  n10 = bitand(bitshift(a, -5), 1, 'uint16');
  n12 = bitand(bitshift(a, -6), 1, 'uint16');
  n14 = bitand(bitshift(a, -7), 1, 'uint16');
  n16 = bitand(bitshift(b, -0), 1, 'uint16');
  n18 = bitand(bitshift(b, -1), 1, 'uint16');
  n20 = bitand(bitshift(b, -2), 1, 'uint16');
  n22 = bitand(bitshift(b, -3), 1, 'uint16');
  n24 = bitand(bitshift(b, -4), 1, 'uint16');
  n26 = bitand(bitshift(b, -5), 1, 'uint16');
  n28 = bitand(bitshift(b, -6), 1, 'uint16');
  n30 = bitand(bitshift(b, -7), 1, 'uint16');
  n76 = bitxor(n0, n16);
  n82 = bitxor(n2, n18);
  n83 = bitand(n2, n18);
  n113 = n83;
  n132 = bitxor(bitxor(n4, n20), n113);
  n133 = bitor(bitor(bitand(n4, n20), bitand(n20, n113)), bitand(n4, n113));
  n174 = n133;
  n182 = bitxor(bitxor(n6, n22), n174);
  n183 = bitor(bitor(bitand(n6, n22), bitand(n22, n174)), bitand(n6, n174));
  n208 = n183;
  n232 = bitxor(bitxor(n8, n24), n208);
  n233 = bitor(bitor(bitand(n8, n24), bitand(n24, n208)), bitand(n8, n208));
  n248 = n233;
  n282 = bitxor(bitxor(n10, n26), n248);
  n283 = bitor(bitor(bitand(n10, n26), bitand(n26, n248)), bitand(n10, n248));
  n332 = bitxor(bitxor(n12, n28), n283);
  n333 = bitor(bitor(bitand(n12, n28), bitand(n28, n283)), bitand(n12, n283));
  n382 = bitxor(bitxor(n14, n30), n333);
  n383 = bitor(bitor(bitand(n14, n30), bitand(n30, n333)), bitand(n14, n333));
  c = bitor(c, bitshift(bitand(n76, 1), 0));
  c = bitor(c, bitshift(bitand(n82, 1), 1));
  c = bitor(c, bitshift(bitand(n132, 1), 2));
  c = bitor(c, bitshift(bitand(n182, 1), 3));
  c = bitor(c, bitshift(bitand(n232, 1), 4));
  c = bitor(c, bitshift(bitand(n282, 1), 5));
  c = bitor(c, bitshift(bitand(n332, 1), 6));
  c = bitor(c, bitshift(bitand(n382, 1), 7));
  c = bitor(c, bitshift(bitand(n383, 1), 8));
end