function [ c ] = add8_334( a, b )
% Approximate function add8_334
%  Library = EvoApprox8b
%  Circuit = add8_334
%  Area   (180) = 383
%  Delay  (180) = 0.740
%  Power  (180) = 125.40
%  Area   (45) = 30
%  Delay  (45) = 0.270
%  Power  (45) = 12.51
%  Nodes = 4
%  HD = 194560
%  MAE = 5.37500
%  MSE = 43.50000
%  MRE = 2.94 %
%  WCE = 16
%  WCRE = 800 %
%  EP = 94.1 %
  a = uint16(a);
  b = uint16(b);
  c = 0;
  n4 = bitand(bitshift(a, -2), 1, 'uint16');
  n6 = bitand(bitshift(a, -3), 1, 'uint16');
  n8 = bitand(bitshift(a, -4), 1, 'uint16');
  n10 = bitand(bitshift(a, -5), 1, 'uint16');
  n12 = bitand(bitshift(a, -6), 1, 'uint16');
  n14 = bitand(bitshift(a, -7), 1, 'uint16');
  n16 = bitand(bitshift(b, -0), 1, 'uint16');
  n20 = bitand(bitshift(b, -2), 1, 'uint16');
  n24 = bitand(bitshift(b, -4), 1, 'uint16');
  n26 = bitand(bitshift(b, -5), 1, 'uint16');
  n28 = bitand(bitshift(b, -6), 1, 'uint16');
  n30 = bitand(bitshift(b, -7), 1, 'uint16');
  n108 = bitcmp(bitand(bitor(n20, n24), n24));
  n282 = bitxor(bitxor(n10, n26), n24);
  n283 = bitor(bitor(bitand(n10, n26), bitand(n26, n24)), bitand(n10, n24));
  n332 = bitxor(bitxor(n12, n28), n283);
  n333 = bitor(bitor(bitand(n12, n28), bitand(n28, n283)), bitand(n12, n283));
  n382 = bitxor(bitxor(n14, n30), n333);
  n383 = bitor(bitor(bitand(n14, n30), bitand(n30, n333)), bitand(n14, n333));
  c = bitor(c, bitshift(bitand(n16, 1), 0));
  c = bitor(c, bitshift(bitand(n4, 1), 1));
  c = bitor(c, bitshift(bitand(n6, 1), 2));
  c = bitor(c, bitshift(bitand(n108, 1), 3));
  c = bitor(c, bitshift(bitand(n8, 1), 4));
  c = bitor(c, bitshift(bitand(n282, 1), 5));
  c = bitor(c, bitshift(bitand(n332, 1), 6));
  c = bitor(c, bitshift(bitand(n382, 1), 7));
  c = bitor(c, bitshift(bitand(n383, 1), 8));
end