function [ c ] = add8_451( a, b )
% Approximate function add8_451
%  Library = EvoApprox8b
%  Circuit = add8_451
%  Area   (180) = 1216
%  Delay  (180) = 0.790
%  Power  (180) = 342.90
%  Area   (45) = 84
%  Delay  (45) = 0.340
%  Power  (45) = 27.47
%  Nodes = 29
%  HD = 188032
%  MAE = 5.01562
%  MSE = 40.25000
%  MRE = 2.64 %
%  WCE = 16
%  WCRE = 600 %
%  EP = 93.0 %
  a = uint16(a);
  b = uint16(b);
  c = 0;
  n6 = bitand(bitshift(a, -3), 1, 'uint16');
  n8 = bitand(bitshift(a, -4), 1, 'uint16');
  n10 = bitand(bitshift(a, -5), 1, 'uint16');
  n12 = bitand(bitshift(a, -6), 1, 'uint16');
  n14 = bitand(bitshift(a, -7), 1, 'uint16');
  n16 = bitand(bitshift(b, -0), 1, 'uint16');
  n22 = bitand(bitshift(b, -3), 1, 'uint16');
  n24 = bitand(bitshift(b, -4), 1, 'uint16');
  n26 = bitand(bitshift(b, -5), 1, 'uint16');
  n28 = bitand(bitshift(b, -6), 1, 'uint16');
  n30 = bitand(bitshift(b, -7), 1, 'uint16');
  n42 = bitor(n28, n12);
  n44 = bitor(n28, n12);
  n48 = bitcmp(bitor(n24, bitor(n8, n6)));
  n49 = bitcmp(bitor(n24, bitor(n8, n6)));
  n69 = bitand(n8, n24);
  n72 = bitxor(n24, n8);
  n73 = bitand(n24, n8);
  n78 = bitxor(n10, n26);
  n79 = bitand(n10, n26);
  n80 = n79;
  n81 = n79;
  n86 = bitxor(n12, n28);
  n87 = bitand(n12, n28);
  n96 = bitxor(n14, n30);
  n97 = bitand(n14, n30);
  n128 = n44;
  n134 = bitor(n26, n10);
  n142 = n87;
  n153 = n69;
  n162 = bitand(n42, n81);
  n165 = n96;
  n170 = n128;
  n177 = bitcmp(n49);
  n180 = bitor(n142, n162);
  n207 = n134;
  n226 = bitand(n207, n153);
  n227 = bitand(n207, n153);
  n245 = bitor(n80, n227);
  n254 = bitand(n170, n226);
  n273 = bitor(n180, n254);
  n344 = bitor(n48, n72);
  n345 = bitor(n48, n72);
  n377 = n165;
  n394 = bitxor(n78, n73);
  n404 = bitxor(n86, n245);
  n412 = bitxor(n377, n273);
  n413 = bitand(n377, n273);
  n422 = bitor(n97, n413);
  c = bitor(c, bitshift(bitand(n16, 1), 0));
  c = bitor(c, bitshift(bitand(n345, 1), 1));
  c = bitor(c, bitshift(bitand(n344, 1), 2));
  c = bitor(c, bitshift(bitand(n22, 1), 3));
  c = bitor(c, bitshift(bitand(n177, 1), 4));
  c = bitor(c, bitshift(bitand(n394, 1), 5));
  c = bitor(c, bitshift(bitand(n404, 1), 6));
  c = bitor(c, bitshift(bitand(n412, 1), 7));
  c = bitor(c, bitshift(bitand(n422, 1), 8));
end